"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _pluginVue_exportHelper = require("../../../_virtual/_plugin-vue_export-helper.js");
const dropdownItemImpl_vue_vue_type_script_lang = require("./dropdown-item-impl.vue_vue_type_script_lang.js");
const Vue = require("vue");
const _hoisted_1 = [
  "aria-disabled",
  "tabindex",
  "role"
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_icon = Vue.resolveComponent("el-icon");
  return Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, null, [_ctx.divided ? (Vue.openBlock(), Vue.createElementBlock("li", {
    key: 0,
    role: "separator",
    class: Vue.normalizeClass(_ctx.ns.bem("menu", "item", "divided"))
  }, null, 2)) : Vue.createCommentVNode("v-if", true), Vue.createElementVNode("li", Vue.mergeProps({ ref: _ctx.itemRef }, {
    ..._ctx.dataset,
    ..._ctx.$attrs
  }, {
    "aria-disabled": _ctx.disabled,
    class: [_ctx.ns.be("menu", "item"), _ctx.ns.is("disabled", _ctx.disabled)],
    tabindex: _ctx.tabIndex,
    role: _ctx.role,
    onClick: _cache[0] || (_cache[0] = (e) => _ctx.$emit("clickimpl", e)),
    onFocus: _cache[1] || (_cache[1] = (...args) => _ctx.handleFocus && _ctx.handleFocus(...args)),
    onKeydown: _cache[2] || (_cache[2] = Vue.withModifiers((...args) => _ctx.handleKeydown && _ctx.handleKeydown(...args), ["self"])),
    onMousedown: _cache[3] || (_cache[3] = (...args) => _ctx.handleMousedown && _ctx.handleMousedown(...args)),
    onPointermove: _cache[4] || (_cache[4] = (e) => _ctx.$emit("pointermove", e)),
    onPointerleave: _cache[5] || (_cache[5] = (e) => _ctx.$emit("pointerleave", e))
  }), [_ctx.icon || _ctx.$slots.icon ? (Vue.openBlock(), Vue.createBlock(_component_el_icon, { key: 0 }, {
    default: Vue.withCtx(() => [Vue.renderSlot(_ctx.$slots, "icon", {}, () => [(Vue.openBlock(), Vue.createBlock(Vue.resolveDynamicComponent(_ctx.icon)))])]),
    _: 3
  })) : Vue.createCommentVNode("v-if", true), Vue.renderSlot(_ctx.$slots, "default")], 16, _hoisted_1)], 64);
}
var dropdown_item_impl_default = /* @__PURE__ */ _pluginVue_exportHelper.default(dropdownItemImpl_vue_vue_type_script_lang.default, [["render", _sfc_render]]);
exports.default = dropdown_item_impl_default;
